VERSION 5.00
Object = "{B6C10482-FB89-11D4-93C9-006008A7EED4}#1.0#0"; "TeeChart5.ocx"
Begin VB.Form FHintsOverLine 
   Caption         =   "TeeChart  - Hints Over the Line"
   ClientHeight    =   4680
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8265
   LinkTopic       =   "Form1"
   ScaleHeight     =   4680
   ScaleWidth      =   8265
   StartUpPosition =   3  'Windows Default
   Begin TeeChart.TChart TChart1 
      Height          =   4695
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   8295
      Base64          =   $"FHintsOverLine.frx":0000
   End
End
Attribute VB_Name = "FHintsOverLine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim OnSeriesPoint As Boolean
Dim OnLegendPoint As Boolean

Private Sub Form_Load()
With TChart1
    .Aspect.View3D = False
    .AddSeries scLine
    .Series(0).FillSampleValues 10
    .Axis.Bottom.Labels.DateTimeFormat = "dd/mm/yy hh:mm:ss"
End With

End Sub

Private Sub TChart1_OnMouseMove(ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)
Dim tmpL, tmpL2, ClickedValue As Integer

ClickedValue = -1
tmpL = -1
tmpL2 = 1000

With TChart1
    If .Series(0).Clicked(X, Y) <> -1 And Not OnSeriesPoint Then
        .Canvas.Brush.Style = bsSolid
        .Canvas.Pen.Color = vbBlack
        .Canvas.Brush.Color = vbWhite
        .Canvas.TextOut X + 10, Y, TChart1.Axis.Bottom.Labels.FormattedValue(.Series(0).XScreenToValue(X)) _
        & ", " & Str$(TChart1.Axis.Left.Labels.FormattedValue(.Series(0).YScreenToValue(Y)))
        OnSeriesPoint = True
        ClickedValue = .Series(0).Clicked(X, Y)
    End If
    'Repaint Chart to clear Textoutputted Mark
    If ClickedValue = -1 And OnSeriesPoint Then
        OnSeriesPoint = False
        .Repaint
    End If

    tmpL = TChart1.Legend.Clicked(X, Y)
    If tmpL <> -1 And ((tmpL <> tmpL2) Or (Not OnLegendPoint)) Then
        .Repaint
        .Canvas.Brush.Color = .Series(0).LegendItemColor(tmpL)
        .Canvas.Rectangle X, Y, X + 20, Y + 20
        .Canvas.Brush.Color = vbWhite
        .Canvas.TextOut X + 20, Y + 7, Str$(.Series(0).YValues.Value(.Series(0).LegendToValueIndex(tmpL))) & " "
        tmpL2 = tmpL
        OnLegendPoint = True
    End If

    If tmpL = -1 And OnLegendPoint Then
        OnLegendPoint = False
        .Repaint
    End If
End With
End Sub

